Bug Hunting Session
Bug 88735 - Other: Calc crash when calling sort menu after subtotal remove
Summary: Other: Calc crash when calling sort menu after subtotal remove
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: Other Windows (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.5.0 target:4.4.1 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-23 09:14 UTC by Olivier MORIN
Modified: 2018-03-07 06:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Video and sample file (741.35 KB, application/zip)
2015-01-23 09:26 UTC, Olivier MORIN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier MORIN 2015-01-23 09:14:20 UTC
Calc crash when calling sort menu after subtotal remove.
Testetd OK with latest version of Openoffice

See video
1 select all cells
2 invovke sub-total menu and select none
2 invoke sort menu and... crash


              
Operating System: Windows 7
Version: 4.2.6.3 release
Comment 1 Olivier MORIN 2015-01-23 09:22:35 UTC
Same bug with in xubuntu 14.04
Comment 2 Olivier MORIN 2015-01-23 09:26:59 UTC
Created attachment 112705 [details]
Video and sample file
Comment 3 raal 2015-01-23 11:58:55 UTC
I can confirm crash with LO 4.3.5, win7
Comment 4 Commit Notification 2015-01-23 15:12:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0442cd217645aa4fdd924e4c2e4f90a77f1fbbad

Resolves: fdo#88735 crash after calling sort after subtotal removal

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-01-23 16:48:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=726ffc4334112069d6cc65f908b1425a3cf9d69e&h=libreoffice-4-4

Resolves: fdo#88735 crash after calling sort after subtotal removal

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-23 16:53:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e38af030dae49c725b52e925a2e4f68cc280c842&h=libreoffice-4-3

Resolves: fdo#88735 crash after calling sort after subtotal removal

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Olivier MORIN 2015-01-26 10:45:36 UTC
When installing daily build Symantec found Suspicious.Could.5.

It works, But afert selectin all cells and invovke sub-total menu and select none, the respons is very slow.
Comment 8 raal 2015-01-26 14:57:46 UTC
(In reply to Olivier MORIN from comment #7)
> When installing daily build Symantec found Suspicious.Could.5.
> 
Please sent to symantec https://submit.symantec.com/false_positive/
Comment 9 Commit Notification 2018-03-07 06:42:47 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a790ee54319583897d82d4372243df870d4452a6

uitest - calc subtotals; tdf#114720 tdf#88792 tdf#88735 tdf#56958 tdf#55734

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.